"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const server_1 = require("../methods/server");
const fixtures_1 = require("./fixtures");
describe('server', () => {
    it('should forward requests', () => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
        jest.clearAllMocks();
        const handler = jest.fn();
        const payload = fixtures_1.createPubSubRequest('forward me');
        const server = server_1.createPubSubServer(handler);
        const res = yield server.fastify.inject({
            method: 'POST',
            url: '/',
            payload,
        });
        expect(res.statusCode).toBe(204);
        expect(handler).toHaveBeenCalledWith({
            message: payload.message,
            data: 'forward me',
            context: JSON.parse(JSON.stringify(payload)),
        });
    }));
});
